# -*- coding: utf-8 -*-
#
# lswifi - a CLI-centric Wi-Fi scanning tool for Windows
# Copyright (c) 2025 Josh Schmelzle
# SPDX-License-Identifier: BSD-3-Clause
#  _              _  __ _
# | |_____      _(_)/ _(_)
# | / __\ \ /\ / / | |_| |
# | \__ \\ V  V /| |  _| |
# |_|___/ \_/\_/ |_|_| |_|

"""
lswifi.auth
~~~~~~~~~~~~~~~

schema definition for auth
"""

from .out import *


class Auth(OutObject):
    """Base class for auth"""

    def __init__(self, capabilities):
        if capabilities.ci.bits.PRIVACY == 1:
            self.value = "WEP"
        else:
            self.value = "NONE"
        self.header = Header("AUTH", Alignment.LEFT)
        self.subheader = SubHeader("[akm]")

    def __format__(self, fmt):
        return f"{self.value:{fmt}}"
